Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 592035 - replaceregexp isn't present (or searcheable)
Summary: replaceregexp isn't present (or searcheable)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ant
Version: 5.7
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Permaine Cheung
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 18:02 UTC by Matěj Cepl
Modified: 2013-12-16 19:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-16 19:44:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
stdout/stderr from rpmbuild -ba SPECS/tigase-xmltools.spec (9.91 KB, text/plain)
2010-05-13 18:02 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2010-05-13 18:02:07 UTC
Created attachment 413844 [details]
stdout/stderr from rpmbuild -ba SPECS/tigase-xmltools.spec

Description of problem:
When trying to build tigase-xmltools on EL-5 (it builds perfectly on Fedoras), I get attached stdout/stderr from rpmbuild -ba. Notice especially that replaceregexp is not available even though ant-apache-regexp package is successfully installed.

If this bug isn't fixed (this being RHEL), could I get at least some workaround how to persuade rpmbuild (and koji) that the functionality is actually present, please?

Thank you

Version-Release number of selected component (if applicable):
ant-apache-regexp-1.6.5-2jpp.2

How reproducible:
100%

Steps to Reproduce:
1.build tigase-xmltools from src.rpm at http://kojipkgs.fedoraproject.org/packages/tigase-xmltools/3.3.4/3.fc12/src/tigase-xmltools-3.3.4-3.fc12.src.rpm on RHEL-5
2.
3.
  
Actual results:
failed build

Expected results:
should build

Additional info:

Comment 1 Matěj Cepl 2010-05-14 09:57:55 UTC
After discussion on #fedora-java, we have found out, that apparently we have missing ant-nodeps dependency of ant-apache-regexp in RHEL.


Note You need to log in before you can comment on or make changes to this bug.